| Recurso | Descripción |
|---|---|
| Disney Tv | Disney provides users access to Disney content across various application and platform combinations including mobile devices, smart TVs, and desktop computers. |
| Netflix Tv | Netflix provides users access to Netflix content across various application and platform combinations including mobile devices, smart TVs, and desktop computers. |
| HBO Tv | HBO provides users access to HBO content across various application and platform combinations including mobile devices, smart TVs, and desktop computers. |
| Insurance Device | Insurance provides users access to HBO content across various application and platform combinations including mobile devices, smart TVs, and desktop computers. |
| Recurso | Descripción |
|---|---|
| Disney Tv | Disney provides users access to Disney content across various application and platform combinations including mobile devices, smart TVs, and desktop computers. |
| Netflix Tv | Netflix provides users access to Netflix content across various application and platform combinations including mobile devices, smart TVs, and desktop computers. |
| HBO Tv | HBO provides users access to HBO content across various application and platform combinations including mobile devices, smart TVs, and desktop computers. |
| Insurance Device | Insurance provides users access to HBO content across various application and platform combinations including mobile devices, smart TVs, and desktop computers. |
Create a subscription
PATH PARAMETERS
Tenant
The user_id will be used as the primary identifier for an external user/purchase, and be unique across billing and CRM systems.
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"subscriptionId": "ENT1664367665579",
"products": [
"com.disney.yoigo.es.bundle.basic",
"com.disney.yoigo.es.bundle.premium"
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
subscriptionId* | string | The subscriptionId will be sent as the entitlement ID, an unique identifier of product(s) to which a customer is entitled. | ||
products* | string[] | List of product identifiers. |
Accepted The operation request was successfully accepted and returned the workflow initiation data.
{
"message": "message",
"workflowId": "workflowId",
"runId": "workflowId"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
workflowId | string | |||
runId | string |
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/disney/users/MOO1664367665504' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"subscriptionId": "ENT1664367665579",
"products": [
"com.disney.yoigo.es.bundle.basic",
"com.disney.yoigo.es.bundle.premium"
]
}' Get subscription status
PATH PARAMETERS
Tenant
The user_id will be used as the primary identifier for an external user/purchase, and be unique across billing and CRM systems.
Subscription identifier. Corresponds to the Partner Account Identifier (PAI).
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
OK Get subscription status request successful
{
"entitled": "ACTIVE",
"cancellation": "VOLUNTARY",
"products": [
"com.disney.yoigo.es.bundle.basic",
"com.disney.yoigo.es.bundle.premium"
],
"activated": "LINKED",
"lastUpdated": "2025-01-15T10:30:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
entitled* | string
()
ACTIVEBILLING_HOLDCANCELEDGRACE_PERIOD | Status field indicating whether the subject can watch content. | ||
cancellation | string
()
VOLUNTARYINVOLUNTARYPLAN_SWITCHEDABUSE_REVOCATIONUNKNOWN | Indicates why a subscription has been canceled. | ||
products* | string[] | List of product identifiers. | ||
activated* | string
()
LINKEDUNLINKED | The status of an active subscription | ||
lastUpdated* | string (date-time) | ISO-8601 timestamp indicating when this subscription was last updated. |
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X GET 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/disney/users/MOO1664367665504/subscriptions/4567890123456789' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Accept: application/json' Modifiy the product for the current subscription
PATH PARAMETERS
Tenant
The user_id will be used as the primary identifier for an external user/purchase, and be unique across billing and CRM systems.
Subscription identifier. Corresponds to the Partner Account Identifier (PAI).
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"products": [
"com.disney.yoigo.es.bundle.basic",
"com.disney.yoigo.es.bundle.premium"
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
products* | string[] | List of product identifiers. |
No Content Subscription modified successfully.
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X PATCH 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/disney/users/MOO1664367665504/subscriptions/4567890123456789' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"products": [
"com.disney.yoigo.es.bundle.basic",
"com.disney.yoigo.es.bundle.premium"
]
}' Terminate a subscription
PATH PARAMETERS
Tenant
The user_id will be used as the primary identifier for an external user/purchase, and be unique across billing and CRM systems.
Subscription identifier. Corresponds to the Partner Account Identifier (PAI).
QUERY PARAMETERS
name of an optional product for this operation
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
No Content Subscription terminated successfully.
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X DELETE 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/disney/users/MOO1664367665504/subscriptions/4567890123456789?product=disney.bundle.basic' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Accept: application/json' Suspend a subscription
PATH PARAMETERS
Tenant
The user_id will be used as the primary identifier for an external user/purchase, and be unique across billing and CRM systems.
Subscription identifier. Corresponds to the Partner Account Identifier (PAI).
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"products": [
"com.disney.yoigo.es.bundle.basic",
"com.disney.yoigo.es.bundle.premium"
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
products* | string[] | List of product identifiers. |
No Content Subscription suspended successfully.
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/disney/users/MOO1664367665504/subscriptions/4567890123456789/suspend' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"products": [
"com.disney.yoigo.es.bundle.basic",
"com.disney.yoigo.es.bundle.premium"
]
}' Reactivate a subscription
PATH PARAMETERS
Tenant
The user_id will be used as the primary identifier for an external user/purchase, and be unique across billing and CRM systems.
Subscription identifier. Corresponds to the Partner Account Identifier (PAI).
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"products": [
"com.disney.yoigo.es.bundle.basic",
"com.disney.yoigo.es.bundle.premium"
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
products* | string[] | List of product identifiers. |
No Content Subscription reactivated successfully.
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/disney/users/MOO1664367665504/subscriptions/4567890123456789/reactivate' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"products": [
"com.disney.yoigo.es.bundle.basic",
"com.disney.yoigo.es.bundle.premium"
]
}' Generate activation URL
PATH PARAMETERS
Tenant
The user_id will be used as the primary identifier for an external user/purchase, and be unique across billing and CRM systems.
Subscription identifier. Corresponds to the Partner Account Identifier (PAI).
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"products": [
"com.disney.yoigo.es.bundle.basic",
"com.disney.yoigo.es.bundle.premium"
],
"country": "ES",
"expireDate": "2021-01-01T00:00:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
products* | string[] | List of product identifiers. | ||
country* | string | |||
expireDate* | string (date-time) | ISO-8601 timestamp indicating when the activation will expire |
Created New url with token was created successfully.
{
"expiryDate": "2023-06-20T14:32:45+02:00",
"url": "https://www.example.com/activation/123"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
expiryDate | string | Date when activation URL expires in ISO 8601 format. | ||
url* | string | Activation URL. |
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/disney/users/MOO1664367665504/subscriptions/4567890123456789/activation_url' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"products": [
"com.disney.yoigo.es.bundle.basic",
"com.disney.yoigo.es.bundle.premium"
],
"country": "ES",
"expireDate": "2021-01-01T00:00:00Z"
}' Notify the result of the Disney+ subscription activate
PATH PARAMETERS
Tenant
The user_id will be used as the primary identifier for an external user/purchase, and be unique across billing and CRM systems.
No Content Activate done successfully
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/disney/users/MOO1664367665504/callbacks/activate' \
-H 'Accept: application/json' Create a bundle subscription
PATH PARAMETERS
Tenant
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"external_id": "external_subscription_12345",
"billing_event_id": "e307f177-091a-4840-9830-dda1c29eea44",
"bundle_id": "c2a45099-1cda-4178-83a8-02c02356ea01",
"channel": "WEB",
"netflix_email": "test@email.com",
"netflix_offer_id": "2106f808-36e9-402d-bf37-f1f7fa04776b",
"netflix_phone": "+525512345678",
"partner_account_id": 4567890123456789,
"partner_charge_country": "ES",
"preferred_language": "es-ES"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
external_id | string | Identifier of the subscription on the CRM | ||
billing_event_id | string | Reference identifier used for tracking/reconciliation. Max 1024 bytes. | ||
bundle_id* | string | Describes your bundle offers. Each of your offers should correspond to a unique BundleID. | ||
channel | string | Channel used to sign up for the Bundle. | ||
netflix_email | string | Customer's primary email address (standard email format). | ||
netflix_offer_id* | string | Pre-agreed UUID for each Netflix plan available in your bundle offers. | ||
netflix_phone | string | E.164 format. +[CountryCode][PhoneNumber] | pattern: ^\\+\\d{1,3}\\d{1,14}$ | |
partner_account_id* | string | Partner Account Identifier (PAI) to associate a partner account with a Netflix account. | ||
partner_charge_country | string | Two letter codes that conform to ISO 3166-1 | pattern: ^[A-Z]{2}$ | |
preferred_language | string | Language preferred for contact. |
Created Enrolled in the entitlement offer successfully.
{
"message": "message",
"workflowId": "workflowId",
"runId": "workflowId"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
workflowId | string | |||
runId | string |
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Conflict Conflict
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/netflix/subscriptions' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"external_id": "external_subscription_12345",
"billing_event_id": "e307f177-091a-4840-9830-dda1c29eea44",
"bundle_id": "c2a45099-1cda-4178-83a8-02c02356ea01",
"channel": "WEB",
"netflix_email": "test@email.com",
"netflix_offer_id": "2106f808-36e9-402d-bf37-f1f7fa04776b",
"netflix_phone": "+525512345678",
"partner_account_id": 4567890123456789,
"partner_charge_country": "ES",
"preferred_language": "es-ES"
}' Update a bundle subscription
PATH PARAMETERS
Tenant
Subscription identifier. Corresponds to the Partner Account Identifier (PAI).
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"external_id": "external_subscription_12345",
"billing_event_id": "e307f177-091a-4840-9830-dda1c29eea44",
"bundle_id": "c2a45099-1cda-4178-83a8-02c02356ea01",
"channel": "WEB",
"netflix_email": "test@email.com",
"netflix_offer_id": "2106f808-36e9-402d-bf37-f1f7fa04776b",
"netflix_phone": "+525512345678",
"partner_charge_country": "ES",
"preferred_language": "es-ES"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
external_id | string | Identifier of the subscription on the CRM | ||
billing_event_id | string | Reference identifier used for tracking/reconciliation. Max 1024 bytes. | ||
bundle_id | string | Describes your bundle offers. Each of your offers should correspond to a unique BundleID. | ||
channel | string | Channel used to sign up for the Bundle. | ||
netflix_email | string | Customer's primary email address (standard email format). | ||
netflix_offer_id | string | Pre-agreed UUID for each Netflix plan available in your bundle offers. | ||
netflix_phone | string | E.164 format. +[CountryCode][PhoneNumber] | pattern: ^\\+\\d{1,3}\\d{1,14}$ | |
partner_charge_country | string | Two letter codes that conform to ISO 3166-1 | pattern: ^[A-Z]{2}$ | |
preferred_language | string | Language preferred for contact. |
No Content Bundle updated successfully.
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Not Found Bundle not found
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X PATCH 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/netflix/subscriptions/4567890123456789' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"external_id": "external_subscription_12345",
"billing_event_id": "e307f177-091a-4840-9830-dda1c29eea44",
"bundle_id": "c2a45099-1cda-4178-83a8-02c02356ea01",
"channel": "WEB",
"netflix_email": "test@email.com",
"netflix_offer_id": "2106f808-36e9-402d-bf37-f1f7fa04776b",
"netflix_phone": "+525512345678",
"partner_charge_country": "ES",
"preferred_language": "es-ES"
}' Cancel a bundle subscription
PATH PARAMETERS
Tenant
Subscription identifier. Corresponds to the Partner Account Identifier (PAI).
QUERY PARAMETERS
A reference for this change/transaction that can be used to track/reconcile with the trigger for this event.
Indicates the reason for cancellation.
Netflix external identifier.
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
No Content Canceled entitlement offer successfully.
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Not Found Bundle not found
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X DELETE 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/netflix/subscriptions/4567890123456789?cancel_event_id=c02a6e17-7bdd-4c1d-a56b-764bcd1bcf01&cancel_reason=CUSTOMER_REQUESTED_CANCEL&external_id=4567890123456789' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Accept: application/json' Generate a url
PATH PARAMETERS
Tenant
Subscription identifier. Corresponds to the Partner Account Identifier (PAI).
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"channel": "WEB",
"partner_charge_country": "ES",
"promotion_id": "PROMO_ID",
"token_error_url": "https://www.example.com/error/token",
"type": "BUNDLE",
"validity_duration_in_seconds": 43200
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
channel | string | Channel used to activate the Bundle. | ||
partner_charge_country | string | Two letter codes that conform to ISO 3166-1 | pattern: ^[A-Z]{2}$ | |
promotion_id | string | PromotionID agreed upon with Netflix. Applies to prepaid promotion integrations. | ||
token_error_url* | string | URL where Netflix can redirect the user when token is invalid. | ||
type* | string | The token type indicates the purpose of the token and its intended usage. | ||
validity_duration_in_seconds | integer (int32) | For ACCOUNT_RECOVERY token type only. Up to 24 hours. |
Created New url with token was created successfully.
{
"expiry_date": "2023-05-20T14:32:45+02:00",
"token": "73e90548-b839-423f-be6d-7ed715de656e",
"requested_securitized_url": "https://www.sandbox.netflix.com/partner/home?ptoken=73e90548-b839-423f-be6d-7ed715de656e"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
expiry_date | string | Date when token expires in ISO 8601 format. | ||
token | string | Token value is a unique identifier based on UUID | ||
requested_securitized_url | string | RequestedSecuritizedUrl use token value to reference a Netflix url |
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/netflix/subscriptions/4567890123456789/geturl' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"channel": "WEB",
"partner_charge_country": "ES",
"promotion_id": "PROMO_ID",
"token_error_url": "https://www.example.com/error/token",
"type": "BUNDLE",
"validity_duration_in_seconds": 43200
}' The API provides status of Netflix subscription.
PATH PARAMETERS
Tenant
Subscription identifier. Corresponds to the Partner Account Identifier (PAI).
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
OK Success
{
"has_partner_mop": true,
"product_type": "string",
"subscription": {
"plan": {
"localized_type": "string",
"type": "string"
}
},
"bundle": {
"id": "string",
"offer_id": "string",
"status": "string"
}
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
has_partner_mop | boolean | |||||||||||||||||||||||||||||||||
product_type | string | |||||||||||||||||||||||||||||||||
subscription | object | |||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||
bundle | object | |||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X GET 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/netflix/subscriptions/4567890123456789/status' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Accept: application/json' The API provides "At least once" delivery semantics i.e. duplicate events may be returned across pages/dates.
PATH PARAMETERS
Tenant
QUERY PARAMETERS
A timestamp (specified in UNIX epoch seconds) to filter the events that have occurred on or after a specific time. Value must be within 14 days of the current time.
A timestamp (specified in UNIX epoch seconds) to filter the events that have occurred before a specific time. Value must be greater than startTimestamp and at least 15 minutes before the current time.
Used when retrieving subsequent pages of events for the same time period.
A case-sensitive comma-separated list of event types.
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
OK Success
{
"events": [
{
"bundle_id": "c2a45099-1cda-4178-83a8-02c02356ea01",
"event_type": "BUNDLE_ACTIVATION",
"netflix_event_id": "5a875d71-7deb-4693-a4d0-ae97aac9da8a",
"netflix_offer_id": "2106f808-36e9-402d-bf37-f1f7fa04776b",
"original_netflix_transaction_id": "e307f177-091a-4840-9830-dda1c29eea44",
"partner_account_id": 4567890123456789,
"partner_reference_id": "e307f177-091a-4840-9830-dda1c29eea44",
"timestamp": 1683710542
}
],
"next_page_offset": "7hysgqtGuaiqbVyqiIaNhjqqqq811lsU=="
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
events | any[] | List of zero or more Event objects that are relevant to the time period defined by startTimestamp and endTimestamp | |||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
next_page_offset | string | A value to retrieve subsequent pages for the same period. | |||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X GET 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/netflix/subscriptions/events?startTimestamp=1683710542&endTimestamp=1683796942&offset=7hysgqtGuaiqbVyqiIaNhjqqqq811lsU%3D%3D&events=BUNDLE_ACTIVATION%2CBUNDLE_PLAN_CHANGE' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Accept: application/json' Suspend subscription
PATH PARAMETERS
Tenant
Subscription identifier. Corresponds to the Partner Account Identifier (PAI).
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"external_id": "external_subscription_12345",
"suspend_event_id": "c2a45099-1cda-4178-83a8-02c02356ea01",
"reason": "PAYMENT_INSTRUMENT_FAILURE"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
external_id | string | Identifier of the subscription on the CRM | ||
suspend_event_id* | string | Partner-provided reference identifier for the suspend event. | ||
reason* | string |
No Content Suspend done successfully.
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/netflix/subscriptions/4567890123456789/suspend' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"external_id": "external_subscription_12345",
"suspend_event_id": "c2a45099-1cda-4178-83a8-02c02356ea01",
"reason": "PAYMENT_INSTRUMENT_FAILURE"
}' Reactivate subscription
PATH PARAMETERS
Tenant
Subscription identifier. Corresponds to the Partner Account Identifier (PAI).
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"external_id": "external_subscription_12345",
"reactivate_event_id": "c2a45099-1cda-4178-83a8-02c02356ea01"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
external_id | string | Identifier of the subscription on the CRM | ||
reactivate_event_id* | string | Partner-provided reference identifier for the reactivate event. |
No Content Reactivate done successfully.
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/netflix/subscriptions/4567890123456789/reactivate' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"external_id": "external_subscription_12345",
"reactivate_event_id": "c2a45099-1cda-4178-83a8-02c02356ea01"
}' Enroll digitalvirgo subscription
PATH PARAMETERS
Tenant
Subscription identifier. Corresponds to the Partner Account Identifier (PAI).
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"phone_number": "+525512345678",
"pai": "123456"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
phone_number* | string | E.164 format. +[CountryCode][PhoneNumber] | pattern: ^\\+\\d{1,3}\\d{1,14}$ | |
pai | string | Pai number to identify subscription. |
Created Enrolled in the entitlement offer successfully.
{
"id": 4567890123456789
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | Subscription identifier. Corresponds to the Partner Account Identifier (PAI). |
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/netflix/subscriptions/4567890123456789/digitalvirgo' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"phone_number": "+525512345678",
"pai": "123456"
}' Deactivate a digitalvirgo subscription
PATH PARAMETERS
Tenant
Subscription identifier. Corresponds to the Partner Account Identifier (PAI).
The mobile phone number preferred by the customer. Value must be in the E.164 format. +[CountryCode][PhoneNumber]
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
No Content Canceled entitlement offer successfully.
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Not Found Bundle not found
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X DELETE 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/netflix/subscriptions/4567890123456789/digitalvirgo/+525512345678' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Accept: application/json' Create a subscription
PATH PARAMETERS
Tenant
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"service_id": 1234567890123456,
"external_id": 1234567890123456,
"country": "ES",
"products": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
service_id* | string | Service identifier in HBO. Corresponds to Subscription Id. | |||||||||||||||||||||||||||||||||||||||||||||||
external_id* | string | Partner user identifier in HBO. It's the Id in CRM. | |||||||||||||||||||||||||||||||||||||||||||||||
country* | string | Country code. ISO 3166-1 alpha-2 code. | minLength: 2, maxLength: 2 | ||||||||||||||||||||||||||||||||||||||||||||||
products* | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
Accepted The creation operation request was successfully accepted, returned the request external reference identifier.
{
"message": "message",
"workflowId": "workflowId",
"runId": "workflowId"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
workflowId | string | |||
runId | string |
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/hbo/subscriptions' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"service_id": 1234567890123456,
"external_id": 1234567890123456,
"country": "ES",
"products": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
]
}' Cancel a subscription
PATH PARAMETERS
Tenant
Service identifier. Corresponds to the Subscription Id in HBO.
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"external_id": 1234567890123456,
"reason": "PRODUCT_CANCELED",
"country": "ES",
"products": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
external_id* | string | Partner user identifier in HBO. It's the Id in CRM. | |||||||||||||||||||||||||||||||||||||||||||||||
reason* | string
()
PRODUCT_CANCELEDPRODUCT_CHANGEDOFFER_EXPIRED | Reason for the cancellation | |||||||||||||||||||||||||||||||||||||||||||||||
country | string | Country code. ISO 3166-1 alpha-2 code. | minLength: 2, maxLength: 2 | ||||||||||||||||||||||||||||||||||||||||||||||
products* | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
Accepted The cancel operation request was successfully accepted, returned the request external reference identifier.
{
"message": "message",
"workflowId": "workflowId",
"runId": "workflowId"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
workflowId | string | |||
runId | string |
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X PUT 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/hbo/subscriptions/4567890123456789/cancel' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"external_id": 1234567890123456,
"reason": "PRODUCT_CANCELED",
"country": "ES",
"products": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
]
}' The API provides the HBO subscription for a client
PATH PARAMETERS
Tenant
Service identifier. Corresponds to the Subscription Id in HBO.
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
OK Success.
{
"products": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
products | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X GET 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/hbo/subscriptions/4567890123456789' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Accept: application/json' Update a subscription
PATH PARAMETERS
Tenant
Service identifier. Corresponds to the Subscription Id in HBO.
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"external_id": 1234567890123456,
"country": "ES",
"reason": "PRODUCT_CANCELED",
"products_to_add": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
],
"products_to_remove": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
external_id* | string | Partner user identifier in HBO. It's the Id in CRM. | |||||||||||||||||||||||||||||||||||||||||||||||
country | string | Country code. ISO 3166-1 alpha-2 code. | minLength: 2, maxLength: 2 | ||||||||||||||||||||||||||||||||||||||||||||||
reason | string
()
PRODUCT_CANCELEDPRODUCT_CHANGEDOFFER_EXPIRED | Reason for the cancellation | |||||||||||||||||||||||||||||||||||||||||||||||
products_to_add | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
products_to_remove | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
Accepted The update operation request was successfully accepted, returned the request external reference identifier.
{
"message": "message",
"workflowId": "workflowId",
"runId": "workflowId"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
workflowId | string | |||
runId | string |
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Not Found Subscription not found
[
{
"code": "SUBSCRIPTION_NOT_FOUND",
"title": "Subscription not found",
"details": "Subscription not found."
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X PATCH 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/hbo/subscriptions/4567890123456789' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"external_id": 1234567890123456,
"country": "ES",
"reason": "PRODUCT_CANCELED",
"products_to_add": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
],
"products_to_remove": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
]
}' Generate an activation URL to redirect to an HBO flow
PATH PARAMETERS
Tenant
Service identifier. Corresponds to the Subscription Id in HBO.
{
"external_id": 1234567890123456,
"country": "ES",
"products": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
external_id* | string | Partner user identifier in HBO. It's the Id in CRM. | |||||||||||||||||||||||||||||||||||||||||||||||
country | string | Country code. ISO 3166-1 alpha-2 code. | minLength: 2, maxLength: 2 | ||||||||||||||||||||||||||||||||||||||||||||||
products* | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
OK Activation URL successfully generated.
{
"url": "https://www.example.com/activation/123"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
url | string | Activation URL. |
Bad Request Bad Request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "SomeErrorCode",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"details": "Some error happened",
"ref": "https://developers.masstack.com/en/docs/apis_provision_doc_swagger/1/apioverview/#errors"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/hbo/subscriptions/4567890123456789/activation_url' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"external_id": 1234567890123456,
"country": "ES",
"products": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
]
}' Activate a subscription
PATH PARAMETERS
Tenant
Service identifier. Corresponds to the Subscription Id in HBO.
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"external_id": 1234567890123456,
"country": "ES",
"products": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
external_id* | string | Partner user identifier in HBO. It's the Id in CRM. | |||||||||||||||||||||||||||||||||||||||||||||||
country | string | Country code. ISO 3166-1 alpha-2 code. | minLength: 2, maxLength: 2 | ||||||||||||||||||||||||||||||||||||||||||||||
products* | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
Accepted The activate operation request was successfully accepted, returned the request external reference identifier.
{
"message": "message",
"workflowId": "workflowId",
"runId": "workflowId"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
workflowId | string | |||
runId | string |
Bad Request Bad Request
[
{
"code": "INVALID_ORG_ID",
"title": "Invalid Organization ID",
"details": "The provided org_id is not valid."
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "UNAUTHORIZED",
"title": "Unauthorized",
"details": "Authorization failed."
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "INTERNAL_ERROR",
"title": "Internal server error",
"details": "Cannot process the request due to an unexpected error."
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/hbo/subscriptions/4567890123456789/activate' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"external_id": 1234567890123456,
"country": "ES",
"products": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
]
}' Reactivate a subscription
PATH PARAMETERS
Tenant
Service identifier. Corresponds to the Subscription Id in HBO.
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"external_id": 1234567890123456,
"country": "ES",
"products": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
external_id* | string | Partner user identifier in HBO. It's the Id in CRM. | |||||||||||||||||||||||||||||||||||||||||||||||
country | string | Country code. ISO 3166-1 alpha-2 code. | minLength: 2, maxLength: 2 | ||||||||||||||||||||||||||||||||||||||||||||||
products* | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
Accepted The reactivation operation request was successfully accepted, returned the request external reference identifier.
{
"message": "message",
"workflowId": "workflowId",
"runId": "workflowId"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
workflowId | string | |||
runId | string |
Bad Request Bad Request
[
{
"code": "INVALID_ORG_ID",
"title": "Invalid Organization ID",
"details": "The provided org_id is not valid."
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "UNAUTHORIZED",
"title": "Unauthorized",
"details": "Authorization failed."
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Not Found Subscription not found
[
{
"code": "SUBSCRIPTION_NOT_FOUND",
"title": "Subscription not found",
"details": "Subscription not found."
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "INTERNAL_ERROR",
"title": "Internal server error",
"details": "Cannot process the request due to an unexpected error."
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/hbo/subscriptions/4567890123456789/reactivate' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"external_id": 1234567890123456,
"country": "ES",
"products": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
]
}' Suspend a subscription
PATH PARAMETERS
Tenant
Service identifier. Corresponds to the Subscription Id in HBO.
HEADER PARAMETERS
A reference for this transaction that can be used to track it.
{
"external_id": 1234567890123456,
"reason": "PRODUCT_CANCELED",
"country": "ES",
"products": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
external_id* | string | Partner user identifier in HBO. It's the Id in CRM. | |||||||||||||||||||||||||||||||||||||||||||||||
reason* | string
()
PRODUCT_CANCELEDPRODUCT_CHANGEDOFFER_EXPIRED | Reason for the cancellation | |||||||||||||||||||||||||||||||||||||||||||||||
country | string | Country code. ISO 3166-1 alpha-2 code. | minLength: 2, maxLength: 2 | ||||||||||||||||||||||||||||||||||||||||||||||
products* | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
Accepted The suspension operation request was successfully accepted, returned the request external reference identifier.
{
"message": "message",
"workflowId": "workflowId",
"runId": "workflowId"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
workflowId | string | |||
runId | string |
Bad Request Bad Request
[
{
"code": "INVALID_ORG_ID",
"title": "Invalid Organization ID",
"details": "The provided org_id is not valid."
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Unauthorized Unauthorized request
[
{
"code": "UNAUTHORIZED",
"title": "Unauthorized",
"details": "Authorization failed."
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Not Found Subscription not found
[
{
"code": "SUBSCRIPTION_NOT_FOUND",
"title": "Subscription not found",
"details": "Subscription not found."
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
Internal Server Error Internal Server Error
[
{
"code": "INTERNAL_ERROR",
"title": "Internal server error",
"details": "Cannot process the request due to an unexpected error."
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string | |||
ref | string | Optional reference URL (used by Netflix) |
X-B3-TraceIDunknowncurl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/masmovil/tv/hbo/subscriptions/4567890123456789/suspend' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"external_id": 1234567890123456,
"reason": "PRODUCT_CANCELED",
"country": "ES",
"products": [
{
"code": "MAX_AVOD",
"name": "MAX Ad VOD",
"starts": 1616425200,
"renews": 1616425200,
"expires": 1616425200,
"sub_id": "1d732753-ae1f-45f8-82f7-7243d395b1ac",
"status": "ACTIVE",
"trx_id": 1234567890
}
]
}' Permite reservar/contratar un seguro de dispositivo con opción de detallar el ciclo de facturación.
PATH PARAMETERS
Identificador único de la organización
HEADER PARAMETERS
Unique request identifier
Device Insurance DTO request
{
"documentId": "00000000F",
"firstName": "juan",
"lastName1": "perez",
"lastName2": "perez",
"msisdn": "666666666",
"address": "paseo de castellana, 4, 002B",
"email": "d@g.com",
"zipCode": "28000",
"locality": "madrid",
"province": "madrid",
"language": "allowed values: es => castellano, eu=> euskera, ga=>gallego, ca=>catalán",
"sfid": "1234",
"brand": "string",
"model": "string",
"price": 2.2,
"clientType": "Autónomo",
"invoicePayment": true,
"productType": "Móvil",
"imei": "string",
"terminalSaleDate": "2022-01-31T23:00:00Z",
"entity": "string",
"officeCode": "string",
"dc": "string",
"accountNumber": "string",
"billingCycle": "string",
"salesChannel": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
documentId* | string | |||
firstName* | string | |||
lastName1 | string | |||
lastName2 | string | |||
msisdn | string | |||
address | string | |||
email* | string | |||
zipCode | string | |||
locality | string | |||
province | string | |||
language* | string | |||
sfid | string | |||
brand* | string | |||
model* | string | |||
price* | number | |||
clientType | string | |||
invoicePayment | boolean | |||
productType | string | |||
imei | string | |||
terminalSaleDate | string | |||
entity | string | |||
officeCode | string | |||
dc | string | |||
accountNumber | string | |||
billingCycle | string | |||
salesChannel | string |
OK Order created
{
"requestId": "string",
"policyNumber": "string",
"monthlyFee": 2.2,
"annualFee": 2.2,
"franchise": true,
"franchiseAmount": 2.2,
"theft": true,
"monthlyNetFee": 2.2,
"annualNetFee": 2.2,
"annualLea": 2.2,
"monthlyLea": 2.2,
"annualIps": 2.2,
"monthlyIps": 2.2,
"annualConsortium": 2.2,
"monthlyConsortium": 2.2,
"firstAnnualLea": 2.2,
"firstMonthlyConsortium": 2.2,
"firstAnnualIps": 2.2,
"firstAnnualNetFee": 2.2,
"firstAnnualFee": 2.2
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
requestId | string | |||
policyNumber | string | |||
monthlyFee | number | |||
annualFee | number | |||
franchise | boolean | |||
franchiseAmount | number | |||
theft | boolean | |||
monthlyNetFee | number | |||
annualNetFee | number | |||
annualLea | number | |||
monthlyLea | number | |||
annualIps | number | |||
monthlyIps | number | |||
annualConsortium | number | |||
monthlyConsortium | number | |||
firstAnnualLea | number | |||
firstMonthlyConsortium | number | |||
firstAnnualIps | number | |||
firstAnnualNetFee | number | |||
firstAnnualFee | number |
Bad Request Error en los datos de la solicitud
Internal Server Error Error interno del servidor
curl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/:organization/insurance/device/reserve' \
-H 'Request-Correlation-Id: 01968069-ad7b-7cef-8cd0-7dddaecbf813' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"documentId": "00000000F",
"firstName": "juan",
"lastName1": "perez",
"lastName2": "perez",
"msisdn": "666666666",
"address": "paseo de castellana, 4, 002B",
"email": "d@g.com",
"zipCode": "28000",
"locality": "madrid",
"province": "madrid",
"language": "allowed values: es => castellano, eu=> euskera, ga=>gallego, ca=>catalán",
"sfid": "1234",
"brand": "string",
"model": "string",
"price": 2.2,
"clientType": "Autónomo",
"invoicePayment": true,
"productType": "Móvil",
"imei": "string",
"terminalSaleDate": "2022-01-31T23:00:00Z",
"entity": "string",
"officeCode": "string",
"dc": "string",
"accountNumber": "string",
"billingCycle": "string",
"salesChannel": "string"
}' Permite cancelar un seguro de dispositivo mediante número de póliza.
PATH PARAMETERS
Identificador único de la organización
HEADER PARAMETERS
Unique request identifier
Datos para cancelar la póliza
{
"policyNumber": "string",
"document": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
policyNumber* | string | Número de póliza | ||
document | string | Documento del asegurado |
OK The operation request was successfully accepted, returned the request external reference identifier
{
"message": "message",
"processId": "processId"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
processId | string |
Bad Request Error en los datos de la solicitud
Internal Server Error Error interno del servidor
curl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/:organization/insurance/device/cancel' \
-H 'Request-Correlation-Id: 01968069-ad7b-7cef-8cd0-7dddaecbf813' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"policyNumber": "string",
"document": "string"
}' Permite activar una póliza de seguro.
PATH PARAMETERS
Identificador único de la organización
HEADER PARAMETERS
Unique request identifier
Datos para activar la póliza
{
"externalReference": "string",
"requestId": "string",
"policyNumber": "string",
"imei": "string",
"document": "string",
"subscriptionId": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalReference | string | Referencia externa para la activación | ||
requestId* | string | Identificador único para la solicitud | ||
policyNumber* | string | Número de póliza | ||
imei* | string | IMEI del dispositivo | ||
document* | string | Documento del asegurado | ||
subscriptionId | string | Identificador de la suscripción |
OK The operation request was successfully accepted, returned the request external reference identifier
{
"message": "message",
"processId": "processId"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
processId | string |
Bad Request Error en los datos de la solicitud
Internal Server Error Error interno del servidor
curl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/:organization/insurance/device/activate' \
-H 'Request-Correlation-Id: 01968069-ad7b-7cef-8cd0-7dddaecbf813' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"externalReference": "string",
"requestId": "string",
"policyNumber": "string",
"imei": "string",
"document": "string",
"subscriptionId": "string"
}' Permite dar de baja una póliza de seguro.
PATH PARAMETERS
Identificador único de la organización
HEADER PARAMETERS
Unique request identifier
Datos para dar de baja la póliza
{
"policyNumber": "string",
"reason": "string",
"document": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
policyNumber* | string | Número de póliza | ||
reason | string | Motivo de la baja | ||
document | string | Documento del asegurado |
OK The operation request was successfully accepted, returned the request external reference identifier
{
"message": "message",
"processId": "processId"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
processId | string |
Bad Request Error en los datos de la solicitud
Internal Server Error Error interno del servidor
curl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/:organization/insurance/device/terminate' \
-H 'Request-Correlation-Id: 01968069-ad7b-7cef-8cd0-7dddaecbf813' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"policyNumber": "string",
"reason": "string",
"document": "string"
}' Permite consultar información de una póliza mediante teléfono, documento o número de póliza.
PATH PARAMETERS
Identificador único de la organización
QUERY PARAMETERS
Teléfono asociado a la póliza (opcional)
Documento del asegurado (opcional)
Número de póliza (opcional)
HEADER PARAMETERS
Unique request identifier
OK Order created
[
{
"certificateNumber": "string",
"imei": "string",
"brand": {
"name": "string"
},
"model": {
"description": "string"
},
"phoneNumber": "string",
"document": "string",
"firstName": "string",
"lastName1": "string",
"lastName2": "string",
"address": "string",
"number": "string",
"city": "string",
"zipCode": "string",
"policyNumber": "string",
"province": "string",
"effectiveDate": "2022-01-31T23:00:00Z",
"email": "string",
"sold": true,
"cancelled": true,
"cancellationDate": "2022-01-31T23:00:00Z",
"serialNumber": "string",
"paymentMethod": {
"description": "string"
},
"clientType": {
"name": "string"
},
"billPayment": true,
"withdrawal": true,
"withdrawalDate": "2022-01-31T23:00:00Z",
"emitted": true,
"language": {
"name": "string"
},
"accident": true
}
] | Property | Type | Description | Constraints | Default | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
certificateNumber | string | |||||||||||||
imei | string | |||||||||||||
brand | object | |||||||||||||
| ||||||||||||||
model | object | |||||||||||||
| ||||||||||||||
phoneNumber | string | |||||||||||||
document | string | |||||||||||||
firstName | string | |||||||||||||
lastName1 | string | |||||||||||||
lastName2 | string | |||||||||||||
address | string | |||||||||||||
number | string | |||||||||||||
city | string | |||||||||||||
zipCode | string | |||||||||||||
policyNumber | string | |||||||||||||
province | string | |||||||||||||
effectiveDate | string | |||||||||||||
email | string | |||||||||||||
sold | boolean | |||||||||||||
cancelled | boolean | |||||||||||||
cancellationDate | string | |||||||||||||
serialNumber | string | |||||||||||||
paymentMethod | object | |||||||||||||
| ||||||||||||||
clientType | object | |||||||||||||
| ||||||||||||||
billPayment | boolean | |||||||||||||
withdrawal | boolean | |||||||||||||
withdrawalDate | string | |||||||||||||
emitted | boolean | |||||||||||||
language | object | |||||||||||||
| ||||||||||||||
accident | boolean | |||||||||||||
Bad Request Error en los parámetros de consulta
Not Found Póliza no encontrada
Internal Server Error Error interno del servidor
curl -X GET 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/:organization/insurance/device/requestinfo' \
-H 'Request-Correlation-Id: 01968069-ad7b-7cef-8cd0-7dddaecbf813' \
-H 'Accept: application/json' Permite suspender una póliza de seguro.
PATH PARAMETERS
Identificador único de la organización
HEADER PARAMETERS
Unique request identifier
Datos para dar de suspender la póliza
{
"externalReference": "string",
"policyNumber": "string",
"phoneNumber": "string",
"document": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalReference | string | Identificador único para la solicitud | ||
policyNumber | string | Número de póliza | ||
phoneNumber | string | Número del teléfono | ||
document | string | Documento del asegurado |
OK The operation request was successfully accepted, returned the request external reference identifier
{
"message": "message",
"processId": "processId"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
processId | string |
Bad Request Error en los datos de la solicitud
Internal Server Error Error interno del servidor
curl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/:organization/insurance/device/suspend' \
-H 'Request-Correlation-Id: 01968069-ad7b-7cef-8cd0-7dddaecbf813' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"externalReference": "string",
"policyNumber": "string",
"phoneNumber": "string",
"document": "string"
}' Permite reconectar una póliza de seguro.
PATH PARAMETERS
Identificador único de la organización
HEADER PARAMETERS
Unique request identifier
Datos para dar de reconectar la póliza
{
"externalReference": "string",
"policyNumber": "string",
"phoneNumber": "string",
"document": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalReference | string | Identificador único para la solicitud | ||
policyNumber | string | Número de póliza | ||
phoneNumber | string | Número del teléfono | ||
document | string | Documento del asegurado |
OK The operation request was successfully accepted, returned the request external reference identifier
{
"message": "message",
"processId": "processId"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
processId | string |
Bad Request Error en los datos de la solicitud
Internal Server Error Error interno del servidor
curl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v2/orgs/:organization/insurance/device/reconnect' \
-H 'Request-Correlation-Id: 01968069-ad7b-7cef-8cd0-7dddaecbf813' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"externalReference": "string",
"policyNumber": "string",
"phoneNumber": "string",
"document": "string"
}'